/*
 * Caudium - An extensible World Wide Web server
 * Copyright  2001 The Caudium Group
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 * $Id: camas_imhoplugs.pike,v 1.8 2003/03/27 15:53:11 kiwi Exp $
 */
//
//! module: CAMAS: IMHO Plugins Compatibility (DEPRECATED)
//!  This module handle IMHO style plugins. Not really usefull.
//! inherits: module
//! type: MODULE_PROVIDER
//! cvs_version: $Id: camas_imhoplugs.pike,v 1.8 2003/03/27 15:53:11 kiwi Exp $
//
#include <module.h>
inherit "module";

constant cvs_version   = "$Id: camas_imhoplugs.pike,v 1.8 2003/03/27 15:53:11 kiwi Exp $";
constant module_type   = MODULE_PROVIDER;
constant module_name   = "CAMAS: IMHO Plugins Compatibility (DEPRECATED)";
constant module_doc    = "This module IMHO style plugins."
                         "Not really usefull.";
constant module_unique = 1;
constant thread_safe = 1;

#if constant(thread_create)
// Lock for sessions
object global_lock = Thread.Mutex();
#endif

// For debug
#define CAMAS_DEBUG
#ifdef CAMAS_DEBUG
# define DEBUG(X) if(QUERY(debug)) perror("CAMAS PLUGS: "+X+"\n");
#else
# define DEBUG(X)
#endif

// Public variables for camas module
int plugin_loaded = 0 ;
object plugin = 0;

// Module creation & configuration
void create()
{
#ifdef CAMAS_DEBUG
  // Debug
  defvar("debug",0,"Debug",TYPE_FLAG,"Debug the call / errors into Caudium "
         "error log ?");
#endif
  defvar("plugin", "", "General purpose plugin", TYPE_STRING,
         "Experimental IMHO plugin. Used only to give a default value in "
         "the login screen of CAMAS.");
}

// What we provides
string query_provides()
{
  return "camas_imhoplugs";
}

// Start of the module
void start(int cnt, object conf)
{
  if (!plugin_loaded)
    load_plugin();
}

// Checking the variables
string check_variable(string var, mixed value)
{
  switch (var)
  {
  case "plugin": {
      if(!sizeof(value))
        break;
      plugin_loaded=0;
      plugin=0;
      array stat=file_stat(value);
      if(!stat)
        return "Must be empty or existing file.";
    }
    break;
  }
  return 0;
}

//
//! method: void load_plugin()
//!  Loads the plugin specified in the defvar if it exist
//
private void load_plugin() {
#if constant(thread_create)
  object lock = global_lock->lock();
#endif
  if(!plugin_loaded) {
    DEBUG("Loading "+QUERY(plugin)+" ...\n");
    mixed err;
    master()->set_inhibit_compile_errors("");
    err=catch(plugin=compile_string(Stdio.read_bytes(QUERY(plugin)))());
    master()->set_inhibit_compile_errors(0);
  }
  plugin_loaded=1;
#if constant(thread_create)
  destruct(lock);
#endif
}


/* START AUTOGENERATED DEFVAR DOCS */

//! defvar: debug
//! Debug the call / errors into Caudium error log ?
//!  type: TYPE_FLAG
//!  name: Debug
//
//! defvar: plugin
//! Experimental IMHO plugin. Used only to give a default value in the login screen of CAMAS.
//!  type: TYPE_STRING
//!  name: General purpose plugin
//
