/*
 * Caudium - An extensible World Wide Web server
 * Copyright  2001 The Caudium Group
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 * $Id: camas_oldformbuttons.pike,v 1.19 2003/10/22 12:18:03 vida Exp $
 */
//
//! module: CAMAS: Pre-Camas Form Button provider (DEPRECATED)
//!  This module gives to CAMAS the correct buttons needed for the template.
//!  <br />This module supports only pre-camas mode for compatibility with
//!  old templates.<br />
//!  This module defines the <i>&lt;camas_formbutton&gt;</i> tag used internaly
//!  by CAMAS. <br />
//!  <b>Warning !!!</b> This support will be dropped or
//!  not maintained on v1.4.
//! inherits: module
//! inherits: caudiumlib
//! type: MODULE_PROVIDER
//! cvs_version: $Id: camas_oldformbuttons.pike,v 1.19 2003/10/22 12:18:03 vida Exp $
//
#include <module.h>
#include <camas/compat.h>
inherit "module";
inherit "caudiumlib";

constant cvs_version   = "$Id: camas_oldformbuttons.pike,v 1.19 2003/10/22 12:18:03 vida Exp $";
constant module_type   = MODULE_PROVIDER;
constant module_name   = "CAMAS: Pre-Camas Form Button provider (DEPRECATED)";
constant module_doc    = "This module gives to CAMAS the correct buttons "
                         "needed for the template. <br />This module supports "
                         "only pre-camas mode for compatibily with old "
                         "templates.<br />This module defines the "
                         "<i>&lt;camas_formbutton&gt;</i> tag used "
                         "internaly by CAMAS."
                         "<br /><font color=red><b>Warning !!!</b></font> This support "
                         "will be dropped or not maintained on v1.4.";
constant module_unique = 1;
constant thread_safe = 1;

// For debug
#define CAMAS_DEBUG
#ifdef CAMAS_DEBUG
# define DEBUG(X) if(QUERY(debug)) perror("CAMAS BUTTONS: "+X+"\n");
#else
# define DEBUG(X)
#endif

// Definition to give us an easy way to make the code and understand it :)
#define CAMAS_MODULE  id->conf->get_provider("camas_main")

// Functions used to hide the defvar when not used
int hide_buttonpathcaudium () {
  return !sizeof (QUERY (buttonpath));
}

int hide_buttonnocache() {
  if ((sizeof(QUERY(buttonpath))>0) && QUERY(buttonpathcaudium))
    return 0;
  return 1;
}

// Module creation & configuration
void create()
{
#ifdef CAMAS_DEBUG
  // Debug
  defvar("debug",0,"Debug",TYPE_FLAG,"Debug the call / errors into Caudium "
         "error log ?");
#endif
  // Old CAMAS premode usage
  defvar("buttonpath","","Image button http prefix", TYPE_STRING,
         "RFC 2616 (section 3.2.2) url prefix to find the form button images. If this prefix is "
         "empty then standard form button will be used.<br />You can use either <i>http://some."
         "where.is.this.images.com/img/</i> or caudium VFS directory instead" );
  defvar("buttonpathcaudium",0,"Image button are stored localy", TYPE_FLAG,
         "If you don't use RFC 2616 url, and the images are stored on the local webserver only. "
         "Then RXML will be added to check if the image is present realy on the filesystem and "
         "display form button instead if there is no image present. <br />"
         "<font color=red><b>Warning</b></font> this option is <b>DANGEROUS</b> and can "
         "break the RXML parser and give some unattended effects. <b>DO NOT</b> use this "
         "option in a production enviroment. <i>You've been warned</i>.",0,hide_buttonpathcaudium);
  defvar("buttonnocache",1,"Do no cache accesses to image button", TYPE_FLAG,
         "When set, this option allow <b>developpers</b> to ask this module to not "
         "cache file test. <b>Warning</b>: this option should decrease performance in production "
         "enviroment", 0, hide_buttonnocache);
  defvar("buttonpathextension",".gif","Extension to append to image files",TYPE_STRING,
         "File extension to use for the From button.",0,hide_buttonpathcaudium);
}

// Functions depending how the module is setup

// === OLD PRE-CAMAS ===
string oldimgform_buttons(string img, string action, string value, void|mapping args)
{
	args = args || ([ ]);
	
	args->type = "image";
	args->name = action;
	args->value = value;
	args->src = QUERY(buttonpath)+"/"+img+QUERY(buttonpathextension);

	return make_tag("input", args);
}

string oldprecamas_buttons(string img, string action, string value, object id, void|mapping args)
{
  string out;	// out String

  if(QUERY(buttonpathcaudium))	// some magic used to find if the file exist or no
  {
    string foo;
    if (QUERY(buttonnocache))
      foo=id->conf->try_get_file(FIX_RELATIVE(QUERY(buttonpath)+"/"+img+QUERY(buttonpathextension),id),id,1,1);
    else
      foo=id->conf->try_get_file(FIX_RELATIVE(QUERY(buttonpath)+"/"+img+QUERY(buttonpathextension),id),id,1);
    if (foo)
    {
      // File exist so we can use image formbuttons :)
      out = oldimgform_buttons(img, action, value, args);
    }
    else
    {
      // File doesn't exist only forms will be used
      out = CAMAS.FormButtons.form_buttons(action, value, args);
    }
  }
  else
  {
    // File is not local then consider that all files are there
    // if not... this is not out problem
    out = oldimgform_buttons(img, action, value, args);
  }
  return out;
}

// Module provider functions
string query_provides()
{
  return("camas_formbuttons");
}

// Module provider methods

//! method: string button(object id, string img, string action, string value, void|mapping args)
//!  Return the RXML code needed to handle Formbuttons extension
//! returns:
//!  RXML code for handling fancy form buttons depending on
//!  how is configured the CAMAS formbutton module
//! arg: object id
//!  Caudium ID object
//! arg: string img
//!  The image needed to be loaded. Used also as a key on
//!  CAMAS Basic and extended mode.
//! arg: string action
//!  The form action to use with this button
//! arg: string value
//!  The text to add to the button coming from language file (wide-
//!  string compliant).
//! arg: void|mapping args
//!  Optional args to pass to the button
string button(object id, string img, string action, string value,
              void|mapping args)
{
  string out;
  DEBUG("Module provider button() called");
  DEBUG("Args are : value = "+value+", img = "+img+", action = "+action);
  DEBUG("We are called on "+QUERY(mode));
  //  DEBUG(sprintf("Current layout : %O", id->misc->session_variables->layout));
  //  DEBUG(sprintf("Current language : %O", id->misc->session_variables->language));

	args = args || ([ ]);

  out = "";
  if (sizeof(QUERY(buttonpath)) == 0)
    out = CAMAS.FormButtons.form_buttons(action, value, args);
  else
    out = oldprecamas_buttons(img, action, value, id, args);
  DEBUG("Output sent to the parser : "+out);
  return out;
}


/* START AUTOGENERATED DEFVAR DOCS */

//! defvar: debug
//! Debug the call / errors into Caudium error log ?
//!  type: TYPE_FLAG
//!  name: Debug
//
//! defvar: buttonpath
//! RFC 2616 (section 3.2.2) url prefix to find the form button images. If this prefix is empty then standard form button will be used.<br />You can use either <i>http://some.where.is.this.images.com/img/</i> or caudium VFS directory instead
//!  type: TYPE_STRING
//!  name: Image button http prefix
//
//! defvar: buttonpathcaudium
//! If you don't use RFC 2616 url, and the images are stored on the local webserver only. Then RXML will be added to check if the image is present realy on the filesystem and display form button instead if there is no image present. <br /><font color=red><b>Warning</b></font> this option is <b>DANGEROUS</b> and can break the RXML parser and give some unattended effects. <b>DO NOT</b> use this option in a production enviroment. <i>You've been warned</i>.
//!  type: TYPE_FLAG
//!  name: Image button are stored localy
//
//! defvar: buttonnocache
//! When set, this option allow <b>developpers</b> to ask this module to not cache file test. <b>Warning</b>: this option should decrease performance in production enviroment
//!  type: TYPE_FLAG
//!  name: Do no cache accesses to image button
//
//! defvar: buttonpathextension
//! File extension to use for the From button.
//!  type: TYPE_STRING
//!  name: Extension to append to image files
//
